<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
        <ion-buttons slot="start">
            <ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
                <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
            </ion-button>
        </ion-buttons>
        <ion-title>
            Terminal Linux
        </ion-title>
    </ion-toolbar>

</ion-header>
<ion-content class="background-content has-fixed-bottom scroll-content">
    <ion-grid fixed class="ion-no-padding">
        <ion-list>
            <ion-label> <span class="custom-span">Command</span> </ion-label>
            <ion-item>
                <ion-textarea [(ngModel)]="this.strCommand" placeholder="Nhập command"></ion-textarea>
                <ion-button (click)="this.execCommand()">Execute</ion-button>
            </ion-item>
        </ion-list>
        <ion-list>
            <ion-label> <span class="custom-span">Shortcut</span> </ion-label>
            <ion-item>
                <ion-button color="secondary" (click)="this.getAllDefault()">Get all Default</ion-button>
            </ion-item>
            <ion-item>
                <ion-button color="secondary" (click)="this.getAllRaoXe()">Get all RaoXe</ion-button>
            </ion-item>
            <ion-item>
                <ion-button color="secondary" (click)="this.logsRaoXe()">Logs RaoXe</ion-button>
            </ion-item>
            <ion-item>
                <ion-button color="secondary" (click)="this.logsPostgresRaoXe()">Logs Postgres RaoXe</ion-button>
            </ion-item>
            <ion-item>
                <ion-button color="secondary" (click)="this.restartApiRaoXe()">Restart ApiRaoXe</ion-button>
            </ion-item>
            <ion-item>
                <ion-button color="secondary" (click)="this.restartPostgres()">Reload Postgresql</ion-button>
            </ion-item>
        </ion-list>
        <ion-list>
            <ion-label> <span class="custom-span">Response</span> </ion-label>
            <ion-item *ngIf="this.resResult">
                <json-editor [(ngModel)]="this.resResult" style="width: 100%;"></json-editor>
            </ion-item>
        </ion-list>

    </ion-grid>
</ion-content>